Subject: bug#26006: [Website] Integral update proposal

From: sirgazil <[email-masked]>
Date: Tue, 4 Jul 2017 15:00:06 -0500

Hey :)

On 01/07/17 09:26, Ludovic Courtès wrote:
> Hi sirgazil,
>
> Slowly trying to catch up…
>
> sirgazil <[email-masked]> skribis:
>
>> This implementation is missing the following parts:
>>
>> 1. New screenshots
>> 2. Packages pages
>>     1. Package detail page
>>     2. Packages issues page
>>     3. Packages reproducibility page
>>     4. Packages JSON file
>>
>> To complete part (1) someone could provide the screenshots (ideally
>> 1920×1080 px) in JPG and add them to the "static/media/img" directory,
>> and update the list of screenshots in "apps/base/data.scm".
> Since “someone” has not shown up yet ;-), maybe we can delay (1), no?
>
>> To complete (2), there are some package related procedures missing
>> (https://bitbucket.org/sirgazil/guixsd-website/issues?status=new&status=open).
>> I tried to use the code that is already in the current website, but
>> couldn't figure things out.
>>
>> To complete part (2.1), there is an issue to solve: package pages go in
>> paths like "/packages/blender-3.0/", but running "haunt build" with
>> pages on paths that include "." will render the pages with all the HTML
>> content inside a pre element. David, the maintainer of Haunt, does not
>> know yet why this would happen. If this issue is solved, there are
>> already helper builders in "apps/packages/builders.scm" to generate all
>> the pages.
> Was this issue fixed in the meantime?  David?
>
>> So, for now, the packages pages are working as in the current website,
>> but not using tables (to make it easier to adapt the page to several
>> screen widths), and packages are distributed in numbered pages to avoid
>> big HTML pages that take too long to load.
>>
>> Also, the JavaScript code that gets package build status is not
>> integrated (couldn't figure this one out either).
> Did you have a chance to look at whether you could include the existing
> code?  After all, the code is already there so we should be able to just
> “move” it to its new home without further ado.
>
> If that’s more complicated that this, then maybe we can ask for help
> from Alex Sassmannshausen, or simply delay it.
>
>> To complete (2.2), (2.3), and (2.4) someone could add helper builders to
>> the packages app, and recycle the related SXML pages already used in the
>> current website.
> Likewise, can’t we just reuse the existing code?  I haven’t looked
> closely but I imagine we won’t have to rewrite all of these from
> scratch.
>
> How can we proceed?  I wouldn’t want to let the fancy web site bitrot!
> I’m a bit swamped though so it would be more productive if you could
> directly hack on it on the repo, but I think you were unwilling to do
> this?  Thoughts?  :-)

I was going to take a look again, and see what I could do to complete 
the thing, but during the application setup of guix 0.13.0 many things 
were being built and the computer turned off three times. It seems it 
can't take that job (I didn't have this problem with 0.12.0, though).

So I don't know what to do :(

-- 
https://sirgazil.bitbucket.io/